# Changelog

# 0.5.x
## 0.5.3
- Merged to stable; all desired functions are now included.
- Next steps: optimizing classes and functions to reduce dependencies and improve modularity.

## 0.5.2
### FIXES
- Fixed an issue where loading i.e. restore save, did not work.

### New
- **Utility class**
    - Introduced a new Utility class to organize functions and improve code cleanliness. More functions may be moved in future updates.

- **Two new menus**
    - Added a settings menu, allowing (some) settings to be changed directly within the program.
    - Added a menu to backup and restore FTL profile files. It now checks if the destination is newer to prevent overwriting progress by restoring an outdated profile.
### Improvments
- Improved flexibility of some functions.

## 0.5.1
### Improvments
- Settings Enhancements:
    - Extended settings to include LAST_ONLINE_VERSION, LAST_UPDATE_CHECK, and AUTO_UPDATE_CHECK_INTERVAL_H.
Added support for default values to be automatically added to the settings file if missing, simplifying updates with new settings.

### New functions
- Auto Update Check:
    - Introduced automatic update checks, defaulting to every 72 hours (configurable via the settings file).
    - The latest online version number is now saved in the local settings file.
- Update Notification:
    - When a new version is available online, the latest version number is displayed next to the update button.
### Planned Enhancements:
- Add a function allowing users to configure all settings manually.

## 0.5.0
- Refactored functions related to loading and writing settings into a dedicated class, enhancing flexibility and maintainability for managing settings files.
- Improved settings file handling, enabling more robust and adaptable loading and saving.
- Updated the README to include details on how LLMs were utilized during development.

# 0.4.x
## 0.4.2
- Cleaning: Removed old, unused code.
- The program now replicates the functionality of the original Visual Basic program but rewritten in Python with a terminal-based UI:
    - Features include: Backup, Restore, and Update.

## 0.4.1
- Added a check to ensure the system is Linux and all required dependencies are installed; exits gracefully if not.
- Removed the old UI, as maintaining two versions is unnecessary.
- Updated file selection to use simple_term_menu for improved functionality.

## 0.4.0
- Introduced a new terminal UI using simple_term_menu for the main menu.
- This adds a new dependency (simple_term_menu) that must be installed for the UI to function.
- The program checks if the package is available. If it is, the new UI is loaded; otherwise, it falls back to the simpler version.

# 0.3.x
## 0.3.1
- Fixed an issue where the online version was always considered newer, regardless of the actual version numbers.
- Improved menu layout with minor changes for better usability.
## 0.3.0
- Added an update function. The program now checks the latest_version.txt file from GitLab and can download and replace the local ftl-savemanager.py file with the latest version.
- If a .gitignore file is detected in the same folder, the update process is blocked.
- The program prompts the user for confirmation before performing the update.

# 0.2.x
## 0.2.1
- Adopted semantic versioning (MAJOR.MINOR.PATCH) for better version tracking.
## 0.2
- Reorganized the codebase: functions have been split into two classes, Backup and UI.

# 0.1
- Initial working script.
